Bug 467336 - list_del corruption shows up in dmesg when testing lirc [NEEDINFO]
list_del corruption shows up in dmesg when testing lirc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
http://fpaste.org/paste/7723
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 17:45 EDT by Till Maas
Modified: 2009-12-18 01:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:35:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jarod: needinfo? (opensource)


Attachments (Terms of Use)
dmesg output with list corruption (6.52 KB, text/plain)
2008-10-16 17:45 EDT, Till Maas
no flags Details

  None (edit)
Description Till Maas 2008-10-16 17:45:53 EDT
Created attachment 320614 [details]
dmesg output with list corruption

Description of problem:
This shows up in dmesg:

WARNING: at lib/list_debug.c:48 list_del+0x22/0x60()
list_del corruption. prev->next should be c2579c34, but was f8ff6624

The full dmesg output is in the attachment and available at:
http://fpaste.org/paste/7723

Version-Release number of selected component (if applicable):
2.6.27-1.fc10

I tried to test lirc on my thinkpad x41, first I followed
http://www.thinkwiki.org/wiki/How_to_make_use_of_IrDA#LIRC_and_IrDA
then I continued with
http://www.thinkwiki.org/wiki/Installing_Fedora_8_on_a_ThinkPad_X41_Tablet#Infrared

I loaded the following modules:

lirc-sir
tekram-sir (not sure, what it did)
nss-ircc
Comment 1 Bug Zapper 2008-11-25 22:56:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jarod Wilson 2009-09-01 15:42:10 EDT
Can this still be reproduced on either F11 or rawhide? There are some fixes to the lirc_sir driver that have gone in since this was reported, and I was not able to reproduce the problem w/my own lirc_sir-driven device.
Comment 3 Bug Zapper 2009-11-18 03:35:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:35:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.